<?php

declare(strict_types=1);

namespace Foo\Bar\Two;

use Foo\Bar\One;

class Example
{
    public static function problem(string $country): int
    {
        switch ($country) {
            // In the case that transformation did not work on our partner side, allow both ISO-2 and ISO-3
            // country codes.
            case One\SupportedCountriesISO3::UNITED_STATES_OF_AMERICA:
            case One\SupportedCountriesISO2::UNITED_STATES_OF_AMERICA:
                return 1;
            case One\SupportedCountriesISO3::CANADA:
            case One\SupportedCountriesISO2::CANADA:
                return 2;
            default:
                return 3;
        }
    }
}